Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3235 - glibc and libwcsmbs
Summary: glibc and libwcsmbs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc
Version: 1.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL: none
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-03 11:42 UTC by masahiko
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-09 07:34:46 UTC


Attachments (Terms of Use)

Description masahiko 1999-06-03 11:42:39 UTC
Many Japanese RedHat 5.x Users using
libwcsmbs package, this package adds wcstombs function
to glibc 2.0.x .

Now , RedHat 6.x and Raw Hide handle glibc 2.1.x,
that already have wcstombs function.
so, when Upgrade system (have libwcsmbs installed)
to RedHat 6.x (or RawHide) then system don't start
unless reboot from rescue disk and delete /etc/ld.so.preload

To solve this problem.
Please add just two line to glibc-2.1.x SPEC file.

     Provides: libwcsmbs
     Obsoletes: libwcsmbs

Comment 1 Cristian Gafton 1999-07-09 07:34:59 UTC
That is not a package shipped by Red Hat and we can not change our
packages to accomodate changes made by contributed RPMs. Especially
with glibc, which is very sensitive to any change in the list of
provides and/or obsoletes.


Note You need to log in before you can comment on or make changes to this bug.